Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have installed python 2.7 but if i use python on shell then pyhton 2.4 opens. also i installed mysql module and it gets installed for python 2.4

I don't want this to happen , can i make it that everthing links tp python 2.7 not 2.4

share|improve this question
    
This belongs more on Superuser.com?? –  Anand Jeyahar May 21 '11 at 7:37

2 Answers 2

up vote 1 down vote accepted

Don't remove 2.4, since doing so will damage your system. Invoke python2.7 instead.

share|improve this answer
    
i tried it didn't worked, i have to use /opt/python27/bin/python –  Mirror51 May 21 '11 at 7:30

Any case, you have to set the default python to point to your python2.7 installation. which python will give you something like /usr/bin/python. mv it to a backup and create a softlink in that folder to your python2.7 executable.

P.S: Guessing you are using CentOS, using python2.7 expect yum to fail and also a lot of other tools.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.